# Rate Limits

Rate limits are applied on a per-account basis. If the API endpoint does not require authentication, rate limits are applied on the IP address instead of the account.

## Rate Limits on REST API

***

When the rate limit is hit on the REST API,

* A 429 HTTP Status is returned.
* `X-RETRY-AFTER` header is returned. This header indicates the number of nanoseconds to wait until you can retry a new request.
* The body of the response will also include the same information.

Example:

```json
{
  "error": "RATE_LIMIT_EXCEEDED",
  "retry_after": "4406000000"
}
```

## Rate Limits on Websocket API

***

While there are no limit on the number of subscriptions, Websocket messages such as `subscribe`, `unsubscribe` and other operations are bound by a rate limit. The only exception is the `ping` message.

When the rate limit is hit:

* RATE\_LIMIT\_EXCEEDED\` error message will be sent
* The message will contain `retry_after` information, the number of nanoseconds to wait until you can send a new message.

Example:

```json
{
    "status": "error",
    "timestamp": "1664338190185908000",
    "error": "RATE_LIMIT_EXCEEDED",
    "data": {
        "retry_after": "4406000000"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/rate-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
